# Uses of Class
javax.swing.JLayeredPane

Packages that use JLayeredPane
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of JLayeredPane in javax.swing

Subclasses of JLayeredPane in javax.swing
Modifier and Type
Class
Description
`class`
`JDesktopPane`
A container used to create a multiple-document interface or a virtual desktop.
Fields in javax.swing declared as JLayeredPane
Modifier and Type
Field
Description
`protected JLayeredPane`
JRootPane.`layeredPane`
The layered pane that manages the menu bar and content pane.
Methods in javax.swing that return JLayeredPane
Modifier and Type
Method
Description
`protected JLayeredPane`
JRootPane.`createLayeredPane()`
Called by the constructor methods to create the default `layeredPane`.
`JLayeredPane`
JDialog.`getLayeredPane()`
Returns the `layeredPane` object for this dialog.
`JLayeredPane`
JFrame.`getLayeredPane()`
Returns the `layeredPane` object for this frame.
`JLayeredPane`
JInternalFrame.`getLayeredPane()`
Returns the layered pane for this internal frame.
`JLayeredPane`
JRootPane.`getLayeredPane()`
Gets the layered pane used by the root pane.
`JLayeredPane`
JWindow.`getLayeredPane()`
Returns the `layeredPane` object for this window.
`JLayeredPane`
RootPaneContainer.`getLayeredPane()`
Returns the layeredPane.
`static JLayeredPane`
JLayeredPane.`getLayeredPaneAbove(Component c)`
Convenience method that returns the first JLayeredPane which contains the specified component.
Methods in javax.swing with parameters of type JLayeredPane
Modifier and Type
Method
Description
`void`
JDialog.`setLayeredPane(JLayeredPane layeredPane)`
Sets the `layeredPane` property.
`void`
JFrame.`setLayeredPane(JLayeredPane layeredPane)`
Sets the `layeredPane` property.
`void`
JInternalFrame.`setLayeredPane(JLayeredPane layered)`
Sets this `JInternalFrame`'s `layeredPane` property.
`void`
JRootPane.`setLayeredPane(JLayeredPane layered)`
Sets the layered pane for the root pane.
`void`
JWindow.`setLayeredPane(JLayeredPane layeredPane)`
Sets the `layeredPane` property.
`void`
RootPaneContainer.`setLayeredPane(JLayeredPane layeredPane)`
A Container that manages the contentPane and in some cases a menu bar.